PETSc version 3.17.4
Fix/Edit manual page

# PetscViewerBinaryOpen

Opens a file for binary input/output.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryOpen(MPI_Comm comm,const char name[],PetscFileMode mode,PetscViewer *viewer)

Collective

### Input Parameters

| comm | - MPI communicator
| name | - name of file
| mode | - open mode of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

### Output Parameter

| viewer | - PetscViewer for binary input/output to use with the specified file

### Options Database Keys

| -viewer_binary_filename <name> | -
| -viewer_binary_skip_info | -
| -viewer_binary_skip_options | -
| -viewer_binary_skip_header | -
| -viewer_binary_mpiio | -

### Note

This PetscViewer should be destroyed with PetscViewerDestroy().

For reading files, the filename may begin with ftp:// or http:// and/or end with .gz; in this case file is brought over and uncompressed.

For creating files, if the file name ends with .gz it is automatically compressed when closed.

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryGetUseMPIIO(), PetscViewerBinaryGetMPIIOOffset()

### Level

beginner

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/sys/classes/viewer/tutorials/ex1f90.F90.html
src/sys/tutorials/ex5.c.html
src/sys/tutorials/ex5f90.F90.html
src/vec/vec/tutorials/ex5.c.html
src/vec/vec/tutorials/ex6.c.html
src/vec/vec/tutorials/ex10.c.html
src/vec/vec/tutorials/ex5f.F90.html
src/vec/vec/tutorials/ex6f.F90.html
src/mat/tutorials/ex1.c.html
src/mat/tutorials/ex12.c.html
src/mat/tutorials/ex16.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages